<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA	02111-1307	USA
#
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<h2 class="post-title"><?php dcPostTitle(); ?></h2>
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>


	<p class="post-info">Auteur&nbsp;: <?php dcPostAuthor(); ?>. Publication&nbsp;: 	<?php dcPostDate(); ?> &agrave; <?php dcPostTime(); ?>. Cat&eacute;gorie&nbsp;: <a href="<?php dcPhotoBlog::displayCatArchiveURL($news->f('cat_libelle_url')); ?>"><?php dcPostCatTitle(); ?></a></p>
	<p class="post-info-co"><a href="<?php dcPostURL(); ?>" title="Lien permanent vers : <?php dcPostTitle(); ?>">Lien permanent</a>
	<span>|</span> 
	<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<a href="<?php echo dcPostTrackBackURI(); ?>">URL de trackback</a>
	<?php else: ?>
		Les trackbacks pour ce billet sont ferm&eacute;s.
	<?php endif; ?>
	</p>
</div>

<div id="trackbacks">
	<h3 id="tb">Trackbacks</h3>
	<?php if ($trackbacks->isEmpty()) : /* Message si aucun trackback */?>
		<p>Aucun trackback.</p>
	<?php endif; ?>

	<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */
		// On met le numro du trackback dans une variable
		$tb_num = $trackbacks->int_index+1;
	?>
		<p id="c<?php dcTBID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
		Le <?php dcTBDate(); ?> &agrave;
		<?php dcTBTime(); ?>, de
		<strong><?php dcTBAuthor(); ?></strong></p>

		<?php /* on affiche le trackback */ ?>
		<blockquote>
		<?php dcTBContent(); ?>
		</blockquote>
	<?php endwhile; ?>

</div>

<div id="comments">
	<h3 id="co">Commentaires <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
	title="fil RSS des commentaires et trackbacks de : <?php dcPostTitle(); ?>"><img src="<?php dcInfo('theme'); ?>/images/rss.png" alt="fil RSS des commentaires et trackbacks de : <?php dcPostTitle(); ?>" /></a></h3>
	<?php if ($comments->isEmpty()) : /* Message si aucune commentaire */	?>
		<p>Aucun commentaire pour le moment.</p>
	<?php endif; ?>

	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le numro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		<p id="c<?php dcCommentID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcCommentID(); ?>"><?php echo $co_num; ?>.</a></span>
		Le <?php dcCommentDate(); ?> &agrave;
		<?php dcCommentTime(); ?>, par
		<strong><?php dcCommentAuthor(); ?></strong>
		<?php dcCommentAuthorSite(':: <a href="%s" rel="nofollow">site</a>'); ?></p>

		<?php /* on affiche le commentaire */ ?>
		<blockquote>
		<?php dcCommentContent(); ?>
		</blockquote>
	<?php endwhile; ?>
</div>
<div id="addcomm">
	<h3 id="form_comment">Ajouter un commentaire</h3>
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
		<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
</div>

<div id="verticalbloc">
<p onclick="toggle('vertical');"><a href="#top"
            title="Afficher le diaporama"
            >Navigation</a></p>
<ul id="vertical">
	<?php dcPhotoBlog::displayVerticalNav($news->getTS(), $photo_nav_nb_prev_thumbs, 1); ?>
	<?php dcPhotoBlog::displayVerticalNav($news->getTS(), 1, 0); ?>
	<?php dcPhotoBlog::displayVerticalNav($news->getTS(), $photo_nav_nb_next_thumbs, -1); ?>
</ul>
</div>
<script type="text/javascript">
    toggle('vertical');
</script>
