<?php
	header('Content-type: text/css');
	// Lecture de la configuration. En cas d'absence de fichier .ini, on utilise des valeurs par defaut.
	include_once(dirname(__FILE__) . '/../../inc/post_config.php');
	$cfg_file = DC_SHARE_DIR . '/photoblog/photoblog.ini';
	$photo_thumb_width  = 90;
	$photo_thumb_height = 90;
	$photo_thumb_width_nav  = 60;
	$photo_thumb_height_nav = 60;
	$use_same_thumbs = 1;

	if (@file_exists($cfg_file)) {
		$photoblog_cfg = iniFile::read($cfg_file, true);
		$photo_thumb_width  = $photoblog_cfg['sp_thumb_width'];
		$photo_thumb_height = $photoblog_cfg['sp_thumb_height'];
		$photo_thumb_width_nav  = $photoblog_cfg['sp_thumb_width_nav'];
		$photo_thumb_height_nav = $photoblog_cfg['sp_thumb_height_nav'];
		$use_same_thumbs = $photoblog_cfg['sp_same_thumbs'];
	}

	if ($use_same_thumbs > 0) {
		$photo_thumb_width_nav = $photo_thumb_width;
		$photo_thumb_height_nav = $photo_thumb_height;
	}
?>

/* ***** BEGIN LICENSE BLOCK *****
 * This file is part of DotClear.
 * Copyright (c) 2004 Samuel Latchman and contributors. All rights
 * reserved.
 *
 * DotClear is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * DotClear is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DotClear; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ***** END LICENSE BLOCK *****
 *
 * Contributor(s):
 *  Olivier Meunier
 *  Theme par defaut adapte par Julien Mudry et Kozlika
 *
 *
 */


/* =================================================================
	    1. STRUCTURE DE LA PAGE - REGLES DES GRANDS BLOCS
/* ============================================================= */

body {
	margin : 0;
	padding : 0;
	font-family : Verdana,Arial,Geneva,Helvetica,sans-serif;
	font-size : 0.76em;
	background : #fff;
	color : #333;
	}
#page {
	margin : 0;
	padding : 0;
	background: transparent;
	}
#top {
	margin : 0;
	padding: 0 0 0 0;
	background : #d0c6ba;
	}
#prelude {
	position : absolute;
	top : 0;
	left : 70%;
	margin : 0;
	width : 25%;
	padding : 0;
	}
#main {
	display : inline;
	clear : both;
	width : 100%;
	text-align: center;
	margin : 0;
	padding : 3em 0 0 0;
	}
#content {
	display : inline;
	clear : both;
	margin : 0;
	text-align: center;
	}

/* ==============================================================
	    2. BALISES HTML
/*  ============================================================= */

h1 { font-size : 2em; margin : 0; }
h2 { font-size : 1.15em; margin : 0.83em 0; }
h3 { font-size : 1.17em; margin : 1em 0; }
h4 { font-size : 1em; margin : 1.33em 0; }
h5 { font-size : 0.83em; margin : 1.67em 0; }
h6 { font-size : 0.67em; margin : 2.33em 0; }

code,pre { 
	font-family : "Courier New",monospace; 
	font-size : 1em; 
	}
q { font-style : italic; }
table { 	font-size : 1em; }
p { margin : 1em 0; }
img { padding : 6px; border : 1px solid #d0c6ba; }
form { display : block; margin : 0; padding : 0; }


/* ==============================================================
	    3. LES LIENS
/*  ============================================================= */

/* ********** Regles generales ************* */
a {
	text-decoration: none;
	font-weight:bold;
	color : #777;
	}
a:hover, a:focus, a:active {
	}
a[hreflang]:after {
	content: "\0000a0(" attr(hreflang) ")";
	color : #666;
	background : transparent;
	}

/* ********** Regles specifiques ************* */
#top h1 a {
	font-weight : normal;
	}
#top h1 a:hover {
	color : #fff;
	}
#prelude a {
	color : #d0c6ba;
	}


/* =================================================================
	    4. HAUT DE PAGE
/* ============================================================= */

#top h1 {
	font-size : 1.25em;
	text-transform : uppercase;
	letter-spacing : 1px;
	margin : 0;
	padding : 3px 10px;
	}
#prelude {
	background : transparent;
	font-size : xx-small;
	text-align : right;
	color : #d0c6ba;
	}


/* =================================================================
	    5. LES BILLETS
/* ============================================================= */

.post {
	padding : 1em 4em 0.5em 4em;
	margin:0;
	text-align : center;
	color: #555;
	border-bottom : 1px solid #c3cfb9;
	z-index : 100;
	}
.post-content {
	}
.post-chapo {
	text-align:center;
	font-style:italic;
	color:#333;
	}
.post img {
	margin-bottom : 4em;
	}
h2.post-title, h2.post-title a {
	color : #999;
	text-decoration: none;
	font-weight : normal;
	}
.post-info-co {
	font-size:xx-small;
	padding:0 0 0.33em 0;
	text-align:right;
	margin-top : 0;
	}
.post-info {
	margin : 2em 0 0 0;
	padding:0;
	font-size : xx-small;
	text-align : right;
	color:#666;
	}

/* =================================================================
	    6. COMMENTAIRES, TRACKBACKS
/* ============================================================= */

#trackbacks, #comments, #comment-preview, #addcomm {
	padding : 1em 2em 0 2em;
	margin : 0 8em;
	line-height : 130%;
	text-align :left;
	font-size : x-small;
	max-width : 600px;
	}
#trackbacks {
	clear: both;
	}
#addcomm, #comment-preview {
	}
#comment-preview {
	padding : 1em 2em;
	border : 1px solid #ddd;
	}
#trackbacks h3, #comments h3, #comment-preview h3, #addcomm h3 {
	text-transform : uppercase;
	letter-spacing : 1px;
	font-size : 0.9em;
	font-weight : normal;
	font-size : 1.1em;
	}
#comments img, #addcomm img {
	border : none;
	padding : 0;
	}
.comment-info {
	clear : both;
	margin-top : 2em;
	}
.comment-number {
	font-size : 1.5em;
	font-family : Georgia,"Times New Roman","New York",serif;
	}


/* =================================================================
	    7. SIDEBAR
/* ============================================================= */

#clear {
	clear: both;
	}
#photo_archive_title {
	color : #666;
	text-align: center;
	margin-bottom : 3em;
	}
#photo_archive {
	padding : 0 4em;
	}
#sidebar_archive {
	margin : 0;
	padding : 3px 6px;
	}
span.current a {
	color: #0373A1;
	}
#aide {
	position : absolute;
	top : 60px;
	right : 0;
	background : #fff;
	width : 80px;
	margin : 0;
	padding : 0;
	font-size : x-small;
	text-align : center;
	}
#aide p {
	margin : 0;
	padding : 3px 6px;
	background : #c3cfb9;
	}


/* =================================================================
	    8. FORMULAIRES (recherche et depot commentaire)
	        interactions (messages d'erreur)
/* ============================================================= */
fieldset {
	display : block;
	border : none;
	margin : 0.5em 0 0 0;
	padding : 0;
	}
input, textarea {
	font-size : 1.2em;
	border : 1px solid #999;
	}
input[type], textarea[name] {
	background : #f5f5f5;
	}
input[type=submit], input[type=reset] {
	background : #ddd;
	color : #333;
	}
input[type=submit]:hover {
	background : #666;
	color : #fff;
	}
textarea {
	width : 100%;
	}
p.field, .form-help {
	margin : 0.5em 0 0 0;
	}
p.field label {
	clear : both;
	width : 12em;
	float:left;
	display : block;
	margin : 0 1em 0 0;
	padding-bottom : 0.5em;
	border-bottom : 1px solid #ddd;
	}

/* Error messages
-------------------------------------------------------- */
.error {
	border : 1px solid #c00;
	background : #fee;
	padding : 0.5em;
	}
.error ul {
	padding-left : 20px;
	}
.error li {
	list-style : square;
	}


/* =================================================================
	    9. TRUCS EN PLUS
/* ============================================================= */

/* Affichage archives et categories 
-------------------------------------------------------- */
.vignettes {
	}
.vignettes a {
	background-position: 0 <?php printf('-' . $photo_thumb_height . 'px'); ?>;
	height: <?php printf($photo_thumb_height . 'px'); ?>;
	background-color: transparent;
	background-repeat: no-repeat;
	display: block;
	border: 3px solid #c3cfb9;
	width: <?php printf($photo_thumb_width . 'px'); ?>;
	margin: 4px auto;
	}
.vignettes a:hover {
	border: 3px solid #c3cfb9;
	background-position: top left;
	}

/* debut ajout julien */
.vignettes_nav a {
	background-position: 0 <?php printf('-' . $photo_thumb_height_nav . 'px'); ?>;
	height: <?php printf($photo_thumb_height_nav . 'px'); ?>;
	background-color: transparent;
	background-repeat: no-repeat;
	display: block;
	border: 3px solid #c3cfb9;
	width: <?php printf($photo_thumb_width_nav . 'px'); ?>;
	margin: 4px auto;
	}
.vignettes_nav a:hover {
	border: 3px solid #c3cfb9;
	background-position: top left;
	}
/* fin ajout julien */

.vignettes_archive {
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	padding-bottom: 20px;
	width: <?php printf(($photo_thumb_width + 50) . 'px'); ?>;
	max-width: <?php printf(($photo_thumb_width + 50) . 'px'); ?>;
	height: <?php printf(($photo_thumb_height + 70) . 'px'); ?>;
	overflow: hidden;
	float: left;
}
#navigation {
	text-align:center;
	clear: both;
	margin: 10px;
	margin-left: auto;
	margin-right: auto;
	padding: 1em 0;
}
#navigation p {
	margin: 0 1.5em;
}
#navigation img {
	border: 3px solid #c3cfb9;
}
#navigation img a:hover {
	background-color: transparent;
}
#navprev {
	float: left;
	width: 40%;
	margin: 0;
	text-align: left;
}
#navnext {
	float: right;
	width: 40%;
	margin: 0;
	text-align: right;
}

#navnow {
	width: <?php printf(($photo_thumb_width_nav + 20) . 'px'); ?>;
	margin-left: auto;
	margin-right: auto;
}

#navnow table {
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	color: #333;
	background-color: #8BC6D2;
}

#navnow img {
	margin: 4px auto;
	width: <?php printf($photo_thumb_width_nav . 'px'); ?>;
	height: <?php printf($photo_thumb_height_nav . 'px'); ?>;
}

#navnext table {
	margin-left: 0;
	margin-right: auto; 
	text-align: center;
}

#navprev table {
	margin-left: auto;
	margin-right: 0; 
	text-align: center;
}


/* Footer
-------------------------------------------------------- */
.footer {
	clear: both;
	line-height: 160%;
	position : relative;
	font-size:0.86em;
	text-align: center;
	padding: 0.5em;
	margin : 0;
	background : #d0c6ba;
	}
.footer a {
	color : #666;
}

Menu deroulant
----------------------------------------------------------- */

#nav{
	visibility: hidden;
}

#nav, #nav ul { /* toutes les listes */
	padding: 0;
	margin: 0;
	list-style: none;
	line-height: 1.3;
}

#nav {
	padding: 0 1em 0 0;
	font-size : x-small;
	margin : 0 0 40px 0;
}

#nav a {
	display: block;
	width: 14em;
	background-color: transparent;
	font-weight : normal;
}

#nav li { /* tous les items de liste */
	float: left;
	width: 14.66em; /* largeur obligatoire, sinon opera devient fou */
}

#nav li ul { /* listes de deuxieme niveau */
	position: absolute;
	width: 14em;
	left: -999em; /* on met left plutot que display pour cacher les menus parce que display: none n'est pas lu par les lecteurs d'ecran */
	background-color: #fff;
	border-bottom: 4px solid #bac7d2;
	padding: 0 0 2px 4px;
}
#nav li ul li {
	padding-top : 4px;
	}
#nav li ul li a  {
	color: #777777;
}

#nav li ul li a:hover  {
	font-weight: bold;
}

#nav li ul ul { /* listes de troisieme niveau et plus */
	margin: -1em 0 0 14em;
}

#nav li:hover ul ul, #nav li.sfhover ul ul {
	left: -999em;
}

#nav li:hover ul, #nav li li:hover ul, #nav li.sfhover ul, #nav li li.sfhover ul { /* listes imbriquees sous les items de listes survoles */
	left: auto;
}

#nav li a.anav {
	line-height: 1.5;
	background: #bac7d2 url(images/bas-onglet.png) no-repeat 100%;
	padding-left: 0.66em;
}

#nav li ul li a.submenu {
	background: #f0f0f0;
}



/* NAVIGATION VERTICALE */

#verticalbloc {
	position : absolute;
	top : 60px;
	right : 5px;
	background : #fff;
	width : <?php echo $photo_thumb_width_nav + 20; ?>px;
	margin : 0;
	padding : 0;
	font-size : x-small;
	text-align : center;
	}
#verticalbloc p {
	margin : 0;
	padding : 2px 0;
	background : #c3cfb9;
	}
#verticalbloc a {
	font-weight : normal;
	}
ul#vertical {
	list-style-type : none;
	padding : 0;
	margin : 1em auto;
	}
ul#vertical li a, #vertical li img {
	width : <?php echo $photo_thumb_width_nav; ?>px;
	height : <?php echo $photo_thumb_height_nav; ?>px;
	border : 1px solid #c3cfb9;
	padding : 0;
	margin : 0 auto 4px auto;
	}
ul#vertical li.current {
	margin : 16px auto;
	padding : 0;
	background : #c3cfb9;
	}
ul#vertical li.current img {
	margin : 0;
	padding : 1px 0 0 0;
	}
h2.post-title, h2.post-title a {
	color : #999;
	text-decoration: none;
	font-weight : normal;
	}
